Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.serialization.impl.jboss
Class JBossEncryptionSerializationManager

    java.lang.Object
      org.jboss.remoting.serialization.SerializationManager
          org.jboss.remoting.serialization.impl.jboss.JBossSerializationManager
              org.jboss.remoting.serialization.impl.jboss.JBossEncryptionSerializationManager

    public class JBossEncryptionSerializationManager

extends JBossSerializationManager

Encrypted version of JBoss Serialization Manager

Since:
  Aug 25, 2006
Version:
  $Revision: 1399 $
Author:
  Anil Saldhana

Field Summary

Fields inherited from class org.jboss.remoting.serialization.impl.jboss.JBossSerializationManager
`log`

Constructor Summary
`JBossEncryptionSerializationManager()`

Method Summary
`java.lang.Object` | `receiveObject(java.io.InputStream inputStream, java.lang.ClassLoader customClassLoader)` This was a refactory of a method usually existent on `SerializableUnMarshaller`.
`void` | `sendObject(java.io.ObjectOutputStream oos, java.lang.Object dataObject)`

Methods inherited from class org.jboss.remoting.serialization.impl.jboss.JBossSerializationManager
`createdMarshalledValue, createInput, createMarshalledValueForClone, createOutput, receiveObject, sendObject, toString`

Methods inherited from class org.jboss.remoting.serialization.SerializationManager
`createRegularInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JBossEncryptionSerializationManager

    public JBossEncryptionSerializationManager()

Method Detail

### receiveObject

    public java.lang.Object receiveObject(java.io.InputStream inputStream,
                                          java.lang.ClassLoader customClassLoader)
                                   throws java.io.IOException,
                                          java.lang.ClassNotFoundException

  Description copied from class: `SerializationManager`
  This was a refactory of a method usually existent on `SerializableUnMarshaller`. That's why we are using InputStream instead of ObjectInputStream as a parameter here.

  Overrides:
    `receiveObject` in class `SerializationManager`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### sendObject

    public void sendObject(java.io.ObjectOutputStream oos,
                           java.lang.Object dataObject)
                    throws java.io.IOException

  Overrides:
    `sendObject` in class `SerializationManager`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.